/*-
 * ============LICENSE_START=======================================================
 * Integrity Monitor
 * ================================================================================
 * Copyright (C) 2017 AT&T Intellectual Property. All rights reserved.
 * ================================================================================
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ============LICENSE_END=========================================================
 */

package org.onap.policy.common.im.jmx;

/**
 * Provides operations to test health, lock and unlock components.
 */
public interface ComponentAdminMBean {
	/**
	 * Test health of component.
	 * 
	 * @throws Exception
	 *            if the component fails the health check
	 */
	void test() throws Exception;

	/**
	 * Administratively lock component.
	 * 
	 * @throws Exception
	 *            if the component lock fails
	 */
	void lock() throws Exception;
	
	/**
	 * Administratively unlock component.
	 * 
	 * @throws Exception
	 *            if the component unlock fails
	 */
	void unlock() throws Exception;
}
